Subject: [GROW] Value of timestamps in BMP header for rib-out monitoring

From: Mukul Srivastava <[email-masked]>
Date: Thu, 13 Jun 2019 13:17:24 +0000

Hi All

The current BMP Adj-RIB-Out draft doesn’t define what timestamp should be used in Per-Peer header for BMP ADJ-RIB-OUT monitoring.

BMP RFC 7854 defines “Timestamp” in Per-Peer header as below:

Timestamp: The time when the encapsulated routes were received (one may also think of this as the time when they were installed in the Adj-RIB-In), expressed in seconds and microseconds since midnight (zero hour), January 1, 1970 (UTC).  If zero, the time is unavailable.  Precision of the timestamp is implementation-dependent.

The above timestamp use doesn’t make much sense for Adj-RIB-Out case. A better value for timestamp, would be the time when a prefix was advertised to a peer. Collector can use this time stamp to get some sense of “when a given prefix was advertised to a peer”.

Otherwise the definition of “timestamp” would be the same as in RFC 7854. So, something like this should be added in the for BMP ADJ-RIB-OUT draft:

   o  Timestamp: The time when the encapsulated routes were advertised
      (one may also think of this as the time when they were installed
      in the Adj-RIB-Out), expressed in seconds and microseconds since
      midnight (zero hour), January 1, 1970 (UTC).  If zero, the time is
      unavailable.  Precision of the timestamp is implementation-
      dependent.

Thanks
Mukul

---

From: John Scudder <[email-masked]>
Date: Thu, 13 Jun 2019 13:32:47 +0000

This makes sense to me, thanks.

—John

On Jun 13, 2019, at 9:17 AM, Mukul Srivastava <[email-masked]<mailto:[email-masked]>> wrote:

Hi All

Thanks
Mukul

---

From: "Tim Evens (tievens)" <[email-masked]>
Date: Thu, 13 Jun 2019 16:01:34 +0000

Thanks Mukul, I'll update that as noted.

On 6/13/19, 6:17 AM, "Mukul Srivastava" <[email-masked]<mailto:[email-masked]>> wrote:

Hi All

Thanks
Mukul

---

From: Mukul Srivastava <[email-masked]>
Date: Thu, 13 Jun 2019 16:13:33 +0000

Thanks Tim.

Thanks
Mukul

From: "Tim Evens (tievens)" <[email-masked]>
Date: Thursday, June 13, 2019 at 12:01 PM
To: Mukul Srivastava <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Jeff Haas <[email-masked]>, John Scudder <[email-masked]>
Subject: Re: Value of timestamps in BMP header for rib-out monitoring

Hi All

Thanks
Mukul

---

From: Randy Bush <[email-masked]>
Date: Thu, 13 Jun 2019 10:18:31 -0700

> Otherwise the definition of “timestamp” would be the same as in RFC
> 7854. So, something like this should be added in the for BMP
> ADJ-RIB-OUT draft:
> 

just ref 7854 sec 4.2 Timestamp

randy

---

From: John Scudder <[email-masked]>
Date: Thu, 13 Jun 2019 17:24:55 +0000

On Jun 13, 2019, at 1:18 PM, Randy Bush <[email-masked]<mailto:[email-masked]>> wrote:

Only problem just referencing it is “timestamp” in 7854 isn’t quite the same as what Mukul suggests. Here’s 7854:

   o  Timestamp: The time when the encapsulated routes were received
      (one may also think of this as the time when they were installed
      in the Adj-RIB-In), expressed in seconds and microseconds since
      midnight (zero hour), January 1, 1970 (UTC).  If zero, the time is
      unavailable.  Precision of the timestamp is implementation-
      dependent.

Only the first clause differs, but it’s an important clause. It would be equally correct to say something like “Timestamp: this is the same as the timestamp defined in RFC 7854 section 4.2, except the time it specifies is when the encapsulated routes were advertised (one may also think of this as the time when they were installed in the Adj-RIB-Out).”

I don’t have a strong preference between the two. One normally wants to avoid cut-and-paste, but in this case optimizing the text saves a grand total of 9 words and makes the reader look in two places. Potayyyto, potaaaatto.

—John

---

From: Paolo Lucente <[email-masked]>
Date: Thu, 13 Jun 2019 17:28:40 +0000

Agree & it has been already taken care for:

https://github.com/paololucente/draft-ietf-grow-bmp-adj-rib-out/commit/9a53fe7d84d70e81dbd76d539c7999f914c102fd#diff-42c33450ab1d1f6d1ec35e9a12c7bf24R265

Paolo

On 13 Jun 2019, at 19:24, John Scudder <[email-masked]<mailto:[email-masked]>> wrote:

—John